NNG_THREAD_SET_NAME(3supp)

NAME
nng_thread_set_name - set thread name

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/util/platform.h>
    void nng_set_thread_name(nng_thread *thread, const char *name);

DESCRIPTION

The nng_thread_set_name() function attempts to set the name for the thread to name.

If thread is NULL, then the name is set for the current thread.

Support for this, and how names are exposed, varies between platform implementations. This function is intended to facilitate debugging applications that may have many threads.

    Tip

    Internal threads created by NNG will have names beginning with nng:.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_thread_create(3supp), nng(7)